<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_ITEMSTRANSVIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/inventory/includes/db/view_stock_status_details_db.inc");
include_once($path_to_root . "/inventory/includes/ui/view_stock_status_details_ui.inc");

$js = "";
$js .= get_js_open_window(800, 500);

page(_($help_context = "View Stock Status Details"), true, false, "", $js);

    $stock_id = $date = $loc_code = '';
    $type = -1;

    if (isset($_GET["stock_id"])) {
        $stock_id = $_GET["stock_id"];
    }
    if (isset($_GET["date"])) {
        $date = $_GET["date"];
    }
    if (isset($_GET["loc_code"])) {
        $loc_code = $_GET["loc_code"];
    }
    if (isset($_GET["type"])) {
        $type = $_GET["type"];
    }

    global $systypes_array;
    
    display_heading($systypes_array[$type].'s');    br();
    
    display_view_stock_status_header($stock_id, $date, $loc_code);

    display_heading('Transaction Details');    br();

    display_view_stock_status_details($stock_id, $date, $loc_code, $type);


end_page(true, false, false, ST_MATERIAL_REQ, $stock_id);

?>